@echo off

set /p ezsrdir="Input EzSR Directory (eg: C:\EzSR): "

if exist %ezsrdir%\cfg (
goto begin
) else (
echo Upgrade EzSR failly finished, Please verify EzSR directory is correct.
goto end
)

:begin

echo start backup EzSR!
set cuDate=%date:~0,4%-%date:~5,2%-%date:~8,2%
xcopy %ezsrdir%\cfg\SSE_QQ_File_Templates.xml  %ezsrdir%\upgradeBackup_%cuDate%\cfg\ /f /e /y >%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%
xcopy %ezsrdir%\cfg\SSE_QQ_DB_Templates.xml  %ezsrdir%\upgradeBackup_%cuDate%\cfg\ /f /e /y >%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%


echo start upgrade EzSR!
xcopy .\cfg\SSE_QQ_File_Templates.xml %ezsrdir%\cfg\SSE_QQ_File_Templates.xml /f/e/y >>%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%
xcopy .\cfg\SSE_QQ_DB_Templates.xml %ezsrdir%\cfg\SSE_QQ_DB_Templates.xml /f/e/y >>%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%

for /f "delims=" %%a in ("%ezsrdir%\cfg\SSE_QQ_File_Templates.xml") do set filedate=%%~ta
set fileyear=%filedate:~0,4%%filedate:~5,2%
for /f "delims=" %%a in ("%ezsrdir%\cfg\SSE_QQ_DB_Templates.xml") do set dbdate=%%~ta
set dbyear=%dbdate:~0,4%%dbdate:~5,2%
if "%fileyear%"=="201604" if "%dbyear%"=="201604" (
echo Upgrade EzSR successfully finished!
) else (
echo Upgrade EzSR failly finished!
) else (
echo Upgrade EzSR failly finished!
)

pause
exit

:end
pause
exit